Tax Form Download
curl --request GET \
--url https://api.cadanapay.com/v1/users/{userId}/tax-forms/{formId}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/users/{userId}/tax-forms/{formId}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/users/{userId}/tax-forms/{formId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"aSDinaTvuI8gbWludGxpZnk="{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Users
Tax Form Download
Download a user’s tax form as a PDF. The response body is the base64-encoded PDF document (content type application/pdf), not a JSON link.
GET
/
v1
/
users
/
{userId}
/
tax-forms
/
{formId}
/
download
Tax Form Download
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the user
The unique identifier for the form
Response
The tax form as a PDF file. The response body is the base64-encoded PDF document.
Base64-encoded PDF document
⌘I